<?php

namespace common\logic\Subscription\ProductSubscription\Service;

use common\logic\AbstractBuilder;
use common\logic\Subscription\ProductSubscription\Model\ProductSubscription;

class ProductSubscriptionBuilder extends AbstractBuilder
{
    public function instanciateProductSubscription(): ProductSubscription
    {
        $productSubscription = new ProductSubscription();

        return $productSubscription;
    }

    public function createProductSubscription(): ProductSubscription
    {
        $productSubscription = $this->instanciateProductSubscription();
        $this->saveCreate($productSubscription);

        return $productSubscription;
    }
}